#!/usr/bin/env python3

from qutebrowser.api import interceptor

# Load existing settings made via :set
config.load_autoconfig()


c.qt.highdpi = True
c.fonts.default_size = "15pt"
c.fonts.tabs.selected = "13pt default_family"
c.fonts.tabs.unselected = "13pt default_family"
c.zoom.default = "130%"
c.content.javascript.enabled = False
c.downloads.location.directory = "~/dls"
c.editor.command = ["alacritty", "-e", "nvim", "{}"]
c.editor.encoding = "utf-8"
c.auto_save.session = True
c.colors.webpage.preferred_color_scheme = "dark"

# privacy
c.content.cookies.accept = "no-3rdparty"
c.content.webrtc_ip_handling_policy = "default-public-interface-only"
c.content.site_specific_quirks.enabled = False

config.bind("j", "scroll-px 0 100")
config.bind("k", "scroll-px 0 -100")
config.bind("K", "tab-next")
config.bind("J", "tab-prev")

c.url.searchengines = {
    "DEFAULT": "https://duckduckgo.com/?q={}",
}

c.url.start_pages = ["https://start.duckduckgo.com"]

